activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Hadrian Zbarcea <hzbar...@gmail.com>
Subject Re: activemq-5.10.0 doesn't build from source
Date Mon, 24 Nov 2014 17:53:11 GMT
Hi,

I did have paho in my local maven repo, I had to remove it to reproduce.

It looks like paho is not (no longer) in maven central. It is available 
in the spring maven repo [1]. Unfortunately that's not much we can do 
about the release, the easiest thing is to add the spring repo in your 
local settings.xml and it should work. Can you please confirm? As a 
workaround you can exclude activemq-mqtt from the build and it should work.

[...]
                 <repository>
                     <id>spring.io</id>
<url>http://repo.spring.io/plugins-release</url>
                     <releases>
                         <enabled>true</enabled>
                     </releases>
                     <snapshots>
                         <enabled>false</enabled>
                     </snapshots>
                 </repository>

Cheers,
Hadrian

[1] 
http://repo.spring.io/plugins-release/org/eclipse/paho/mqtt-client/0.4.0/

On 11/24/2014 12:46 PM, Ciprian Ciubotariu wrote:
> Using the git tag activemq-5.10.0 and running mvn clean install -
> DskipTests=true (or -Dmaven.test.skip=true) I get:
>
> Failed to execute goal on project activemq-mqtt: Could not resolve
> dependencies for project org.apache.activemq:activemq-mqtt:jar:5.10.0: Failure
> to find org.eclipse.paho:mqtt-client:jar:0.4.0 in
> https://repo.eclipse.org/content/groups/releases/ was cached in the local
> repository, resolution will not be reattempted until the update interval of
> eclipse.m2 has elapsed or updates are forced -> [Help 1]
>
>
>


Mime
View raw message